# write_args Struct Reference

`#include <sysproto.h>`

## Data Fields

const void * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(const void *)?0:sizeof(register_t)-sizeof(const void *))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
size_t | nbyte
char | nbyte_l_ [0]
char | nbyte_r_ [(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

## Detailed Description

Definition at line 50 of file sysproto.h.

## Field Documentation

const void* write_args::buf

Definition at line 52 of file sysproto.h.

Referenced by sys_write().

char write_args::buf_l_[0]

Definition at line 52 of file sysproto.h.

char write_args::buf_r_[(sizeof(register_t)<=sizeof(const void *)?0:sizeof(register_t)-sizeof(const void *))]

Definition at line 52 of file sysproto.h.

int write_args::fd

Definition at line 51 of file sysproto.h.

Referenced by sys_write().

char write_args::fd_l_[0]

Definition at line 51 of file sysproto.h.

char write_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 51 of file sysproto.h.

size_t write_args::nbyte

Definition at line 53 of file sysproto.h.

Referenced by sys_write().

char write_args::nbyte_l_[0]

Definition at line 53 of file sysproto.h.

char write_args::nbyte_r_[(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

Definition at line 53 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h